Get warmup analytics
curl --request POST \
--url https://api.instantly.ai/api/v2/accounts/warmup-analytics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"user@example.com"
]
}
'import requests
url = "https://api.instantly.ai/api/v2/accounts/warmup-analytics"
payload = { "emails": ["user@example.com"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({emails: ['user@example.com']})
};
fetch('https://api.instantly.ai/api/v2/accounts/warmup-analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/accounts/warmup-analytics")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"emails\": [\n \"user@example.com\"\n ]\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/accounts/warmup-analytics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'emails' => [
'user@example.com'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/accounts/warmup-analytics"
payload := strings.NewReader("{\n \"emails\": [\n \"user@example.com\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"email_date_data": {
"example1@example.com": {
"2023-10-01": {
"sent": 10,
"landed_inbox": 8,
"landed_spam": 2,
"received": 10
},
"2023-10-02": {
"sent": 5,
"landed_inbox": 5,
"received": 5
}
},
"example2@example.com": {
"2023-10-01": {
"sent": 7,
"landed_inbox": 7,
"received": 7
}
}
},
"aggregate_data": {
"example1@example.com": {
"sent": 15,
"landed_inbox": 13,
"landed_spam": 2,
"received": 15,
"health_score_label": "87%",
"health_score": 87
},
"example2@example.com": {
"sent": 7,
"landed_inbox": 7,
"health_score_label": "100%",
"health_score": 100
}
}
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Account
Get warmup analytics
Requires one of the following scopes: accounts:read, accounts:all, all:read, all:all
POST
/
api
/
v2
/
accounts
/
warmup-analytics
Get warmup analytics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
List of emails to get warmup analytics for. The emails should be attached to accounts in your workspace.
Required array length:
1 - 100 elements⌘I